vagrant vb ubuntu/xenial64 cannot mount synced folders

Bug #1565985 reported by Curtis Hovey on 2016-04-04
394
This bug affects 70 people
Affects Status Importance Assigned to Milestone
cloud-images
Undecided
Patricia Gaughen
livecd-rootfs (Ubuntu)
High
Unassigned
Nominated for Trusty by Robert C Jennings
Xenial
High
Brian Murray

Bug Description

I am unable to fully provision a xenial instance using box
    ubuntu/xenial64 (virtualbox, 20160403.0.0)
because the synced folders are never mounted.

VAGRANT_LOG=DEBUG vagrant init --debug indicates that there was an error mounting the filesystem
    mount: unknown filesystem type 'vboxsf'

I am using
    VirtualBox 5.0.16 r105871
    vagrant 1.8.1

While init/provision fails, the instance is brought up. I can get into it and see it runs. It doesn't appear that Virtualbox Guest Additions is installed. I can see that my installation of VB does have VBoxGuestAdditions.iso and is readable.

X-CPC-Real-Bug: bug 1605795

Test procedure for proposed fix:

1. Launch the ubuntu vagrant box (xenial, yakkety)
2. SSH into the box with `vagrant ssh`
3. Check if default synced folder, /vagrant, is mounted with `mount` or `df`, it should be
4. Check name of VM in virtualbox, it should be randomized

Related branches

Curtis Hovey (sinzui) wrote :

When I attempted to reprovision the instance, I saw a warn about guest additions, then an error when the vagrant attempted to mount the synced folder:

==> default: Machine booted and ready!
==> default: Checking for guest additions in VM...
    default: No guest additions were detected on the base box for this VM! Guest
    default: additions are required for forwarded ports, shared folders, host only
    default: networking, and more. If SSH fails on this machine, please install
    default: the guest additions and repackage the box to continue.
    default:
    default: This is not an error message; everything may continue to work properly,
    default: in which case you may ignore this message.
==> default: Checking for host entries
==> default: Mounting shared folders...
    default: /home/curtis/Work => /Users/curtis/Sites/Work
Failed to mount folders in Linux guest. This is usually because
the "vboxsf" file system is not available. Please verify that
the guest additions are properly installed in the guest and
can work properly. The command attempted was:

mount -t vboxsf -o uid=`id -u curtis`,gid=`getent group curtis | cut -d: -f3` home_curtis_Work /home/curtis/Work
mount -t vboxsf -o uid=`id -u curtis`,gid=`id -g curtis` home_curtis_Work /home/curtis/Work

The error output from the last command was:

mesg: ttyname failed: Inappropriate ioctl for device
/sbin/mount.vboxsf: mounting failed with the error: No such device

I sshed into the instances, downloaded guest additions, mounted it, installed build-essential, and installed the additions.
After halting and uping the instance, synced_folders worked without error.

styro (anton-list) wrote :

Running...

apt-get --no-install-recommends install virtualbox-guest-utils

...inside the guest was enough to get it working for me. Unfortunately this turns the initial provisioning into a 2 step manual process as the failure to mount shared folders prevents the provisioning step running.

Jeremy E (jebler) wrote :

I ran into this on both a Windows and a Linux host. I was able to work around it by opening the VirtualBox GUI, and manually adding the project folder to the Shared Folders settings page. After that, I was able to mount that manually shared folder. Quite unfortunate.

Is there known working version of Virtual Box for this image?

Michael DePaulo (mikedep333) wrote :

More Info:
I discovered that if I run "sudo modprobe vboxsf", I a different error after running a command like "sudo mount -t vboxsf sfname /sfpath". The error under dmesg is:
sf_read_super_aux err=-22
This error appears to be caused by /sbin/mount.vboxsf not being installed.
(I say that because I reproduced the error message by installing the guest additions from .iso, mounting the folder successfully, unmounting it, and then renaming /sbin/mount.vboxsf.)

Chris Pick (cpick) wrote :

This is a regression, it used to work in the "ubuntu/trusty64" vagrant image.

As @styro indicated, the "virtualbox-guest-utils" is not installed in "ubuntu/xenial64":
host$ vagrant init ubuntu/xenial64 && vagrant up && vagrant ssh
...
ubuntu@ubuntu-xenial:~$ dpkg -s virtualbox-guest-utils
dpkg-query: package 'virtualbox-guest-utils' is not installed and no information is available

While it was installed in "ubuntu/trusty64":
host$ vagrant init ubuntu/trusty64 && vagrant up && vagrant ssh
...
vagrant@vagrant-ubuntu-trusty-64:~$ dpkg -s virtualbox-guest-utils | grep Version
Version: 4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1

Once the package is manually installed in xenial it works just fine.
However, having a manual installation step breaks Vagrant's automation which is one of its most important features.

From my tests, the image available on vagrant main source is the exact copy
of ubuntu repo one, which is a basic cloud image in virtualbox format with
no changes whatsoever for vagrant.

What is missing is not just the guest additions, but also the default user
to be vagrant with password vagrant and the ssh key stored to be the
default for vagrant.

Currently, vagrant makes an educated guess, and tries to launch with ubuntu
user (which works and allow us to fix those issues manually).

Not the ideal situation when people want to promote the newest version of
ubuntu.

Cheers,
LF

On Friday, 6 May 2016, Chris Pick <email address hidden> wrote:

> This is a regression, it used to work in the "ubuntu/trusty64" vagrant
> image.
>
> As @styro indicated, the "virtualbox-guest-utils" is not installed in
> "ubuntu/xenial64":
> host$ vagrant init ubuntu/xenial64 && vagrant up && vagrant ssh
> ...
> ubuntu@ubuntu-xenial:~$ dpkg -s virtualbox-guest-utils
> dpkg-query: package 'virtualbox-guest-utils' is not installed and no
> information is available
>
> While it was installed in "ubuntu/trusty64":
> host$ vagrant init ubuntu/trusty64 && vagrant up && vagrant ssh
> ...
> vagrant@vagrant-ubuntu-trusty-64:~$ dpkg -s virtualbox-guest-utils | grep
> Version
> Version: 4.3.36-dfsg-1+deb8u1ubuntu1.14.04.1
>
> Once the package is manually installed in xenial it works just fine.
> However, having a manual installation step breaks Vagrant's automation
> which is one of its most important features.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1565985
>
> Title:
> vagrant vb ubuntu/xenial64 cannot mount synced folders
>
> Status in cloud-images:
> New
>
> Bug description:
> I am unable to fully provision a xenial instance using box
> ubuntu/xenial64 (virtualbox, 20160403.0.0)
> because the synced folders are never mounted.
>
> VAGRANT_LOG=DEBUG vagrant init --debug indicates that there was an error
> mounting the filesystem
> mount: unknown filesystem type 'vboxsf'
>
> I am using
> VirtualBox 5.0.16 r105871
> vagrant 1.8.1
>
> While init/provision fails, the instance is brought up. I can get into
> it and see it runs. It doesn't appear that Virtualbox Guest Additions
> is installed. I can see that my installation of VB does have
> VBoxGuestAdditions.iso and is readable.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cloud-images/+bug/1565985/+subscriptions
>

Chris Pick (cpick) wrote :

Luis wrote:
> From my tests, the image available on vagrant main source is the
> exact copy of ubuntu repo one, which is a basic cloud image in
> virtualbox format with no changes whatsoever for vagrant.

You are correct that vagrant's "ubuntu/*" images match the cloud images from the Ubuntu repo. In fact, Canonical/Ubuntu runs the account that manages that "ubuntu/*" prefix: https://atlas.hashicorp.com/ubuntu/

> What is missing is not just the guest additions, but also the
> default user to be vagrant with password vagrant and the ssh key
> stored to be the default for vagrant.

In modern Vagrant, a box can configure its own login credentials. The Ubuntu boxes set their "config.ssh.username" and "config.ssh.password" parameters this way to inform Vagrant how to ssh into the VM. (You can manually inspect these values by looking within a box [eg: ~/.vagrant.d/boxes/ubuntu-VAGRANTSLASH-xenial64/20160502.0.0/virtualbox/Vagrantfile ].)

All in all, I believe the only thing that needs to be changed to fix this bug is to bake the "virtualbox-guest-utils" package into the image.

(Users looking for a bludgeon of a workaround can install the "vagrant-vbguest" Vagrant plugin [eg: with `vagrant plugin install vagrant-vbguest`]. However, this is far less than a proper solution because 1) without it, xenial doesn't work with Vagrant out of the box, 2) it installs non-free software, and 3) it adds a significant download and installation every time a new xenial VM is started.)

Tom Seddon (6buntu-one) wrote :

The same (?) problem affects the xenial32 image. I assume the creation process is related (but I can open a new bug for this if not).

Bob Tanner (tanner) wrote :

Still see the problems with 'ubuntu/xenial64' (v20160527.0.0)

Switching from the user vagrant and ssh key authentication to user ubuntu and password authentication lets things progress a little further but run into hostname problem.

The following SSH command responded with a non-zero exit status.
Vagrant assumes that this means the command failed!

/sbin/ifdown eth1 2> /dev/null

Stdout from the command:

Stderr from the command:

sudo: unable to resolve host ubuntu-xenial
mesg: ttyname failed: Inappropriate ioctl for device

Which looks like this is tracked in:

https://bugs.launchpad.net/ubuntu/+source/livecd-rootfs/+bug/1561250

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in livecd-rootfs (Ubuntu):
status: New → Confirmed
david butler (croepha) wrote :

My workaround is to put `sudo apt-get install -y virtualbox-guest-utils` in my provisioning, and the steps to start are:

1. vagrant up (which will fail at the end)
2. vagrant provision
3. vagrant reload

Also I had to add `config.vm.synced_folder ".", "/vagrant/"` explicitly

Frans Elliott (felliott) on 2016-06-13
Changed in cloud-images:
status: New → Confirmed
Wolfgang Faust (wolfgang42) wrote :

Bob Tanner's issue (#9) is a separate problem; I had it with Vagrant 1.8.1 but it's been solved in Vagrant 1.8.4 (I don't know about intervening versions) -- https://github.com/mitchellh/vagrant/issues/6871

Louis Zuckerman (semiosis) wrote :

There are a number of issues with the official vagrant box for xenial:

- necessary packages are missing (synced folders not working, no config management)
- default /vagrant synced folder is disabled
- vm name is static, so you can only have one instance of the box on a host

All of these issues stem from problems in a single source file in the livecd-rootfs package, so I believe they should all be covered by a single bug, and a single patch to fix. Can we use this bug to track all of them?

I have a fix for all of these issues, which I will be proposing for merge later today.

Thanks!

Dimas R. Danu (dimasdanz) wrote :

Problem still exists on 'ubuntu/xenial64' v20160623.0.0

Louis Zuckerman (semiosis) wrote :

Merge proposed. See link at top of this bug.

information type: Public → Public Security
information type: Public Security → Public
Evin Callahan (evin-callahan) wrote :

What's causing the delay of merging Louis's solution?

Louis Zuckerman (semiosis) wrote :

Hi Evin,

Thanks for your support. I've engaged other ubuntu developers and it looks like the review will happen soon, possibly tomorrow.

Best,
-louis

Assigning to myself to review Louis' changes.

Changed in cloud-images:
assignee: nobody → Dan Watkins (daniel-thewatkins)
milestone: none → y-2016-06-30
Changed in cloud-images:
status: Confirmed → In Progress
Changed in vagrant:
status: New → Invalid
Louis Zuckerman (semiosis) wrote :

Hi Dan,

Your build looks good to me. I ran two vagrant instances with the box at the same time, and verified that puppet & chef are installed. Default synced folder is also present & working.

If anyone else wants to test, the box can be downloaded from here: http://people.canonical.com/~dwatkins/livecd.ubuntu-cpc.vagrant.box

Best regards,
-louis

Emanuel Ciuca (emanuel-ciuca) wrote :

Thanks for the update.

On Thu, 30 Jun 2016, 21:50 Louis Zuckerman, <email address hidden>
wrote:

> Hi Dan,
>
> Your build looks good to me. I ran two vagrant instances with the box
> at the same time, and verified that puppet & chef are installed.
> Default synced folder is also present & working.
>
> If anyone else wants to test, the box can be downloaded from here:
> http://people.canonical.com/~dwatkins/livecd.ubuntu-cpc.vagrant.box
>
> Best regards,
> -louis
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1565985
>
> Title:
> vagrant vb ubuntu/xenial64 cannot mount synced folders
>
> Status in cloud-images:
> In Progress
> Status in vagrant:
> Invalid
> Status in livecd-rootfs package in Ubuntu:
> Confirmed
>
> Bug description:
> I am unable to fully provision a xenial instance using box
> ubuntu/xenial64 (virtualbox, 20160403.0.0)
> because the synced folders are never mounted.
>
> VAGRANT_LOG=DEBUG vagrant init --debug indicates that there was an error
> mounting the filesystem
> mount: unknown filesystem type 'vboxsf'
>
> I am using
> VirtualBox 5.0.16 r105871
> vagrant 1.8.1
>
> While init/provision fails, the instance is brought up. I can get into
> it and see it runs. It doesn't appear that Virtualbox Guest Additions
> is installed. I can see that my installation of VB does have
> VBoxGuestAdditions.iso and is readable.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cloud-images/+bug/1565985/+subscriptions
>

Hi Louis, all,

On 30/06/16 20:43, Louis Zuckerman wrote:
> Your build looks good to me. I ran two vagrant instances with the box
> at the same time, and verified that puppet & chef are installed.
> Default synced folder is also present & working.

Excellent!

> If anyone else wants to test, the box can be downloaded from here:
> http://people.canonical.com/~dwatkins/livecd.ubuntu-cpc.vagrant.box

If other people could test the box at this link and confirm that this
solves Vagrant issues they've been seeing, it would be much appreciated!

Thanks,

Dan

Changed in cloud-images:
milestone: y-2016-06-30 → y-2016-07-14
blackpingus (raffaele) wrote :

> http://people.canonical.com/~dwatkins/livecd.ubuntu-cpc.vagrant.box
It is an yakkety image, not xenial, but it works fine!

Daniel Di Sarli (danieleds0) wrote :

Working for me too! Thank you.

Evin Callahan (evin-callahan) wrote :

Confirmed the linked box contains the vboxsf and integrates well with Vagrant. Also confirm that it's a yakkety image.

Emanuel Ciuca (emanuel-ciuca) wrote :

Great, thanks!

On Sat, 2 Jul 2016, 18:55 Evin Callahan, <email address hidden> wrote:

> Confirmed the linked box contains the vboxsf and integrates well with
> Vagrant. Also confirm that it's a yakkety image.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1565985
>
> Title:
> vagrant vb ubuntu/xenial64 cannot mount synced folders
>
> Status in cloud-images:
> In Progress
> Status in vagrant:
> Invalid
> Status in livecd-rootfs package in Ubuntu:
> Confirmed
>
> Bug description:
> I am unable to fully provision a xenial instance using box
> ubuntu/xenial64 (virtualbox, 20160403.0.0)
> because the synced folders are never mounted.
>
> VAGRANT_LOG=DEBUG vagrant init --debug indicates that there was an error
> mounting the filesystem
> mount: unknown filesystem type 'vboxsf'
>
> I am using
> VirtualBox 5.0.16 r105871
> vagrant 1.8.1
>
> While init/provision fails, the instance is brought up. I can get into
> it and see it runs. It doesn't appear that Virtualbox Guest Additions
> is installed. I can see that my installation of VB does have
> VBoxGuestAdditions.iso and is readable.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/cloud-images/+bug/1565985/+subscriptions
>

Louis Zuckerman (semiosis) wrote :

We're making progress toward fixing the essential bugs in the vagrant box (synced folders, vm name, hostname). However, we're moving the discussion of whether to include config management packages to a separate discussion.

If you have an opinion on whether or not the vagrant box should come with puppet/chef/juju preinstalled please add your thoughts to this bug:

https://bugs.launchpad.net/cloud-images/+bug/1599531

Luis Ferro (luis-ferro) wrote :

Hi,

Just tested the image, and there is some issues with apt-get / user setup:

$> vagrant up
$> vagrant ssh
$> sudo su

root@ubuntu-yakkety:/home/ubuntu# apt-get update
Get:1 http://archive.ubuntu.com/ubuntu yakkety InRelease [247 kB]
[...]
Get:14 http://archive.ubuntu.com/ubuntu yakkety/multiverse Translation-en [107 kB]
Fetched 23.6 MB in 26s (900 kB/s)
Reading package lists... Done
W: Can't drop privileges for downloading as file '/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_yakkety_InRelease' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)

The other issues look to be all fixed.

Cheers,
Luis Ferro

Hello all,

Thanks for the first round of testing! There's a new box available at http://people.canonical.com/~dwatkins/livecd.ubuntu-cpc.vagrant.2.box (note the slightly different URL :), which strips out some of the additional packages that were installed. Further testing would be appreciated, to confirm that this still addresses the fundamental bugs. :)

Thanks,

Dan

(Uh, posted that comment slightly too soon, the box won't be uploaded fully for another few minutes)

(Oh, and I actually uploaded the old box; started the upload of the new one, which should take another few minutes >.<)

OK, http://people.canonical.com/~dwatkins/livecd.ubuntu-cpc.vagrant.2.box is now the fully uploaded new box; please test!

Louis Zuckerman (semiosis) wrote :

Looks good to me.

Synced folders working, vm name is dynamic, no problem with hostname when sudoing.

Also, I tried an apt-get update and did not get the error Luis had in comment #28. Not sure what could've caused that.

Thanks, Dan!

blackpingus (raffaele) wrote :

Confirm #33

Chris Pick (cpick) wrote :

I confirm, it also works for me. Specifically:
 - Synced folders
 - Sudo not complaining about hostname
 - Running multiple VMs simultaneously
 - Updating/upgrading/installing packages

Looks great.

Changed in livecd-rootfs (Ubuntu):
importance: Undecided → High
vkill (vkill-net) wrote :

`vagrant plugin install vagrant-vbguest`
+1

Changed in cloud-images:
milestone: y-2016-07-14 → y-2016-07-28
Luis Ferro (luis-ferro) wrote :

Environment: Mac 10.11.6 Beta (15G26a)
Virtualbox: 5.0.20 r106931
Vagrant: 1.8.1
Box: http://people.canonical.com/~dwatkins/livecd.ubuntu-cpc.vagrant.2.box

After:

$> vagrant up
$> vagrant ssh

#> sudo su
#> apt-get update

I still getting:
[...]
Get:15 http://archive.ubuntu.com/ubuntu yakkety/multiverse Translation-en [106 kB]
Fetched 23.6 MB in 10s (2,182 kB/s)
Reading package lists... Done
W: Can't drop privileges for downloading as file '/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_yakkety_InRelease' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)

On a side note, hostname is fine, shared folder is also fine.

Luis Ferro (luis-ferro) wrote :

Looks like the _apt issue is a different one:

https://bugs.launchpad.net/ubuntu/+source/aptitude/+bug/1543280/comments/16

And looks to be related to some confusion of the sources setup by default.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.421

---------------
livecd-rootfs (2.421) yakkety; urgency=medium

  [ Louis Zuckerman ]
  * Fixes for vagrant box builder in ubuntu-cpc LP: #1565985
    - Install virtualbox-guest-utils
    - Don't disable default synced folder
    - Don't set vm name
    - Add cloud-init config to manage /etc/hosts LP: #1561250

 -- Steve Langasek <email address hidden> Thu, 21 Jul 2016 09:14:50 -0700

Changed in livecd-rootfs (Ubuntu):
status: Confirmed → Fix Released

Hello,

I just tried to provision a box with ubuntu/xenial64 (virtualbox, 20160725.0.0) and ubuntu/yakkety64 (virtualbox, 20160723.0.0) from the images as https://atlas.hashicorp.com/ubuntu/boxes/.

I just wanted to point out that the problems are still present there, and I think this is where most users pull their images automatically when using vagrant.

Will this fix land there as well? I'm not sure who updates those releases, please forgive my ignorance.

Louis Zuckerman (semiosis) wrote :

Looks to me like those boxes in Atlas come from the ubuntu cloud images, which should get the fixes real soon now (I hope.)

Evin Callahan (evin-callahan) wrote :

Just pulled down the ubuntu/xenial64 20160725.0.0 image from atlas, still broken.

1) do you expect the xenial image to get the fix or will it only apply to yakkety?
2) know what kind of timeline we're lookin at?

No big deal just curious. I like keeping my vagrant stuff clean :)

Louis Zuckerman (semiosis) wrote :

Hi Evin,

I've opened an [SRU] ticket to get these fixes backported to Xenial. It will happen, but I don't know when. Hopefully in the next week or two.

[SRU] https://bugs.launchpad.net/cloud-images/+bug/1605795

Evin Callahan (evin-callahan) wrote :

Great, thanks Louis! I'll stay updated by adding myself to that ticket.

description: updated
Changed in cloud-images:
milestone: y-2016-07-28 → y-2016-08-11
Changed in cloud-images:
milestone: y-2016-08-11 → y-2016-08-25
Changed in cloud-images:
assignee: Dan Watkins (daniel-thewatkins) → Patricia Gaughen (gaughen)
affects: vagrant → ubuntu
no longer affects: ubuntu
Kiriakos Krastillis (kappa-k) wrote :

This is still broken in v20160822.0.0. of teh atlas box

I can confirm, this is broken in v20160822.0.0. I tried rolling back to v20160805.0.0, but that also seems to fail.

ubuntu@ubuntu-xenial:~$ modinfo vboxguest
filename: /lib/modules/4.4.0-34-generic/kernel/ubuntu/vbox/vboxguest/vboxguest.ko
version: 5.0.18_Ubuntu
license: GPL
description: Oracle VM VirtualBox Guest Additions for Linux Module
author: Oracle Corporation
srcversion: A2B0E3228AD033CF730FD74
alias: pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*
depends:
intree: Y
vermagic: 4.4.0-34-generic SMP mod_unload modversions

I'm currently on VirtualBox Version 5.1.4 r110228. I'm able to fix this by downloading v5.1.4 guest additions from here: http://download.virtualbox.org/virtualbox/5.1.4/

Note, you'll need to install the following packages in order to compile the guest additions:
* gcc
* build-essentials
* linuz-headers-$(uname-a) // your architecture here

Changed in cloud-images:
milestone: y-2016-08-25 → y-2016-09-08
Chris Pick (cpick) wrote :

What will it take to get the SRU moving forward? The fix was identified and applied to newer releases months ago.

Lack of ease of local, Vagrant-based testing has impeded my deployment of Xenial to my production systems.

Daniel Lynch (dlynch15-8+lp) wrote :

I saw a suggestion (sorry, forget who), to use bento/ubuntu-16.04 ( https://atlas.hashicorp.com/bento/boxes/ubuntu-16.04 ). It's made by the people who make Chef.

This seems to work fine, I guess it's what I'll be using.

Changed in livecd-rootfs (Ubuntu Xenial):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
description: updated
description: updated

Hello Curtis, or anyone else affected,

Accepted livecd-rootfs into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.408.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in livecd-rootfs (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Louis Zuckerman (semiosis) wrote :

Fix confirmed.

Here's how I tested:

- Downloaded current xenial vagrant box and started a VM from it
- Enabled xenial-proposed repository
- Installed livecd-rootfs from -proposed, version 2.408.3
- ran the following commands...

sudo -i
mkdir /build
cd /build
cp -a /usr/share/livecd-rootfs/live-build/auto .
export SUITE=xenial
export ARCH=amd64
export PROJECT=ubuntu-cpc
export MIRROR=http://archive.ubuntu.com/ubuntu/
lb config
cd config/hooks
rm 031-root-xz.binary 033-disk-image-uefi.binary 034-disk-image-ppc64el.binary 040-qcow2-image.binary 040-vmdk-image.binary 041-vmdk-ova-image.binary 032-root-squashfs.binary
lb build

- Copied the created vagrant box from /build/livecd.ubuntu-cpc.vagrant.box to my host and launched a new VM from it
- Checked that new VM had randomized name and that default synced folder was mounted. Also checked that sudo did not complain about hostname resolution.

Looks good to me!

tags: added: verification-done
removed: verification-needed
Baptiste Lafontaine (magnetik) wrote :

Does the nightly build of xenial on atlas.hashicorp.com include the fix?

Thanks to all of you for the work on it :)

Florin Andrei (florin-andrei) wrote :

A resolution for this bug would be very welcome. It's breaking a build system here, due to insufficient disk space. Thank you.

Louis Zuckerman (semiosis) wrote :

Florin, the build does use about 1-2 GB more space for temp files when building vagrant. These are cleaned up after the build. I raised that concern in the SRU ticket: https://bugs.launchpad.net/cloud-images/+bug/1605795

For my test I disabled several of the other image builders as shown in the `rm` command in my previous comment.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.408.3

---------------
livecd-rootfs (2.408.3) xenial-proposed; urgency=medium

  [ Louis Zuckerman ]
  * Fixes for vagrant box builder in ubuntu-cpc LP: #1565985
    - Install virtualbox-guest-utils
    - Don't disable default synced folder
    - Don't set vm name
    - Add cloud-init config to manage /etc/hosts LP: #1561250

 -- Brian Murray <email address hidden> Tue, 30 Aug 2016 13:17:55 -0700

Changed in livecd-rootfs (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for livecd-rootfs has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Poma (semenov-roman) wrote :

The last update of ununtu/xenial64 image on Atlas was 7 days and it is still broken

Louis Zuckerman (semiosis) wrote :

The new daily xenial build for 20160907 includes the fix.

https://cloud-images.ubuntu.com/xenial/20160907/

Poma (semenov-roman) wrote :

Is it just me or the new 20160907 image has broken networking? It seems to fail all DNS queries: `ping 8.8.8.8` works but `ping google.com` fails with "unknown host" error.

STR:
$ vagrant init ubuntu/xenial64
$ vagrant box update
$ vagrant up
$ vagrant ssh
$ ping google.com

Result:
ping: unknown host google.com

Poma (semenov-roman) wrote :

This is probably because /etc/resolv.conf is not a symbolic link to /run/resolvconf/resolv.conf but is an empty file instead.

Also /etc/resolv.conf doesn't have a root write permission which is probably the root cause of this problem

Hi Poma,

Thanks for identifying this problem! Could you file a separate bug for it so we can track fixing it?

Dan

Poma (semenov-roman) wrote :

Oh looks like someone has already filed it: https://bugs.launchpad.net/cloud-images/+bug/1621393

Florin Andrei (florin-andrei) wrote :

Just want to say thank you to everyone who was involved in fixing the sync folder bug.

Baptiste Lafontaine (magnetik) wrote :

I still have problem using shared folder mounted in my home with latest box v20160925.0.0

The global "/vagrant" shared folder works, but not a subfolder that I'm trying to mount as a subfolder of my home.

Aidan Feldman (aidan-feldman) wrote :

Baptiste: I think that's a separate issue: https://github.com/mitchellh/vagrant/issues/4791

Baptiste Lafontaine (magnetik) wrote :

Well it seems that in fact it's not related to this, but any vboxfs does not work for me with the latest ubuntu/xenial64 box (20160930).

Met this issue yesterday, updated 5 mins ago to 20161102.0.0, I think this is solved

Changed in cloud-images:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.